Bug 64040 - make check in binutils doesn't work correctly
make check in binutils doesn't work correctly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: dejagnu (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-24 07:20 EDT by franz.sirl-kernel
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 15:37:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description franz.sirl-kernel 2002-04-24 07:20:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0rc1)
Gecko/20020422

Description of problem:
With dejagnu-1.4.2-3 make check in binutils/ld doesn't work correctly anymore,
going back to dejagnu-1.4.1-3 fixes it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. configure and build binutils-2.12.90.0.[347]
2. run 'make check' in the ld subdirectory
3.
	

Actual Results:  make[2]: Wechsel in das Verzeichnis Verzeichnis
;/home/fsirl/BUILD/binutils-2.12.90.0.7/ld+
srcroot=`cd . && pwd`; export srcroot; \
r=`pwd`; export r; \
LC_COLLATE=; LC_ALL=; LANG=; export LC_COLLATE LC_ALL LANG; \
EXPECT=`if [ -f $r/../expect/expect ] ; then echo $r/../expect/expect ; else
echo expect ; fi`; export EXPECT; \
if [ -f ./../expect/expect ]; then \
  TCL_LIBRARY=`cd ./../tcl/library && pwd`; \
  export TCL_LIBRARY; \
fi; \
runtest=`if [ -f ${srcroot}/../dejagnu/runtest ] ; then echo
${srcroot}/../dejagnu/runtest ; else echo runtest ; fi`; \
if /bin/sh -c "$runtest --version" > /dev/null 2>&1; then \
  $runtest --tool ld --srcdir ${srcroot}/testsuite \
        CC="` if [ -f $r/../gcc/xgcc ] ; then if [ -f $r/../newlib/Makefile ] ;
then echo $r/../gcc/xgcc -B$r/../gcc/ -idirafter $r/../newlib/targ-include
-idirafter ${srcroot}/../newlib/libc/include -nostdinc; else echo $r/../gcc/xgcc
-B$r/../gcc/; fi; else if [ "i386-redhat-linux-gnu" = "i386-redhat-linux-gnu" ]
; then echo gcc; else echo gcc | sed 's,x,x,'; fi; fi`" CFLAGS="-O2 -march=i386
-mcpu=i686" \
        CXX="` if [ -f $r/../gcc/xgcc ] ; then if [ -f $r/../newlib/Makefile ] ;
then echo $r/../gcc/xgcc -B$r/../gcc/ -idirafter $r/../newlib/targ-include
-idirafter ${srcroot}/../newlib/libc/include -nostdinc; else echo $r/../gcc/xgcc
-B$r/../gcc/; fi; else if [ "i386-redhat-linux-gnu" = "i386-redhat-linux-gnu" ]
; then echo gcc; else echo gcc | sed 's,x,x,'; fi; fi`" CXXFLAGS="" \
        CC_FOR_HOST="gcc" CFLAGS_FOR_HOST="-O2 -march=i386 -mcpu=i686" \
        OFILES="ldgram.o ldlex.o lexsup.o ldlang.o mri.o ldctor.o ldmain.o
ldwrite.o ldexp.o  ldemul.o ldver.o ldmisc.o ldfile.o ldcref.o eelf_i386.o
ei386linux.o " BFDLIB="../bfd/.libs/libbfd.a" \
        LIBIBERTY="../libiberty/libiberty.a " LIBS="-ldl " \
        ; \
else echo "WARNING: could not find \`runtest'" 1>&2; :;\
fi
WARNING: Couldn't find the global config file.
WARNING: Couldn't find tool init file

Illegal Argument "CC=gcc"
try "runtest --help" for option list
make[2]: *** [check-DEJAGNU] Fehler 1
make[2]: Verlassen des Verzeichnisses Verzeichnis
;/home/fsirl/BUILD/binutils-2.12.90.0.7/ld+


Additional info:
Comment 1 Jakub Jelinek 2004-10-06 15:37:23 EDT
make check certainly works ok these days with current dejagnu/binutils/gcc.

Note You need to log in before you can comment on or make changes to this bug.